Subject: Re: [PATCH] ipv4: Remove output route check in ipv4_mtu

From: Steffen Klassert <[email-masked]>
Date: Thu, 17 Jan 2013 07:31:00 +0100

On Wed, Jan 16, 2013 at 11:01:39PM +0200, Julian Anastasov wrote:
> 
> On Wed, 16 Jan 2013, Steffen Klassert wrote:
> > 
> > Not absolutely sure what you want to do if the mtu is locked.
> > But if you don't want to genetate a nh exception and don't update
> > rt->rt_pmtu in this case, rt->rt_pmtu is never set on routes with
> > locked mtu. We probably would not need to change ipv4_mtu() to the
> > above variant.
> 
> 	Yes, we have to exit __ip_rt_update_pmtu if
> fib_mtu is locked. Then rt_pmtu should stay 0 and
> your variant of ipv4_mtu should be ok. I hope you
> can simply extend your patch with such additional
> check in __ip_rt_update_pmtu:
> 
> 	if (dst_metric_locked(dst, RTAX_MTU))
> 		return;
> 

That's what I had in mind. I'll do that with an additional
patch, it's a another issue.

Thanks for the input!